Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039652
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] StoreServerminorhave not tried2018-11-20 11:152018-12-10 15:17
ReporterAugustoMauchView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision9d7aab293fc4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039652: The synchronization of the m_product_service table is not properly configured

DescriptionThe synchronization of the m_product_service table is not properly configured. Right now it is being routed based on the organization of the entry in the m_product_service, but it could be the the record is defined in * (it is exported to all store servers) but either the referenced product or the referenced service belongs to an organization other than * (so they are present only in some store servers).

Steps To ReproduceIn a multiserver environment
Create a product in *
Create a service in specific organization not in the natural tree of a store server
Create a record in the m_product_service that links the product and the service. A synchronization error will occur because the record will be synchronized to the store server but the referenced service will not be present there.
Proposed SolutionExport/route the records of m_product_service to the stores that have access to:
- The organization of the m_product_service record and
- The organization of the product and
- The organization of the service
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108208)
hgbot (developer)
2018-12-01 22:33

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 9d7aab293fc4045790e0ff0c1a3bfe1cdef857e5
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sat Dec 01 22:33:09 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/9d7aab293fc4045790e0ff0c1a3bfe1cdef857e5 [^]

Fixes issue 39652: The synchronization of the m_product_service table is not properly configured
Added router and updated dataset

---
M src-db/database/sourcedata/AD_DATASET_TABLE.xml
M src-db/database/sourcedata/STRSYNC_CUSTOM_ROUTER.xml
M src-db/database/sourcedata/STRSYNC_SYNCHRONIZEDTABLE.xml
A src/org/openbravo/retail/storeserver/synchronization/router/ProductServiceRouter.java
---
(0108328)
hgbot (developer)
2018-12-07 13:22

Repository: erp/pmods/org.openbravo.replication.symmetricds
Changeset: 7c2d862cae72277d8277deeba1118a005d4ab176
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Dec 07 13:22:52 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.replication.symmetricds/rev/7c2d862cae72277d8277deeba1118a005d4ab176 [^]

Related to issue 39652: The synchronization of the m_product_service table is not properly configured
provide query in log if error occurs

---
M src/org/openbravo/replication/symmetricds/validation/ExportedTableValidator.java
---
(0108339)
hgbot (developer)
2018-12-08 22:12

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: e3b2427a9de93a9f633c79c80487522cb505a996
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sat Dec 08 22:12:10 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/e3b2427a9de93a9f633c79c80487522cb505a996 [^]

Related to issue 39652: The synchronization of the m_product_service table is not properly configured
Correct syntax so it works with Oracle

---
M src-db/database/sourcedata/AD_DATASET_TABLE.xml
---
(0108344)
hgbot (developer)
2018-12-09 12:54

Repository: tools/automation/pi-mobile
Changeset: d28b468ffe72ca06b43261f40ba10194629d5bd4
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun Dec 09 12:53:50 2018 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/d28b468ffe72ca06b43261f40ba10194629d5bd4 [^]

Related to issue 39652, 39722 add tests

---
M src-test/org/openbravo/test/mobile/retail/multiserver/MultiserverUtils.java
M src-test/org/openbravo/test/mobile/retail/multiserver/unittests/suites/dbsynch/DatabaseSynchronizationSuite.java
A src-test/org/openbravo/test/mobile/retail/multiserver/unittests/tests/functionaldbsynch/LocationSynchronization.java
A src-test/org/openbravo/test/mobile/retail/multiserver/unittests/tests/functionaldbsynch/ProductServiceSynchronization.java
---
(0108345)
hgbot (developer)
2018-12-09 12:54

Repository: tools/automation/pi-mobile
Changeset: 22011f880e13920c6bbf3fcee781cab749338295
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun Dec 09 12:54:18 2018 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/22011f880e13920c6bbf3fcee781cab749338295 [^]

Related to issue 39652, 39722 add tests
Do db sync tests as part of the other store1 tests

---
M build.xml
---
(0108361)
AugustoMauch (developer)
2018-12-10 15:17

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2018-11-20 11:15 AugustoMauch New Issue
2018-11-20 11:15 AugustoMauch Assigned To => Retail
2018-11-20 11:15 AugustoMauch Triggers an Emergency Pack => No
2018-11-29 08:49 mtaal Assigned To Retail => mtaal
2018-12-01 22:33 hgbot Checkin
2018-12-01 22:33 hgbot Note Added: 0108208
2018-12-01 22:33 hgbot Status new => resolved
2018-12-01 22:33 hgbot Resolution open => fixed
2018-12-01 22:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/9d7aab293fc4045790e0ff0c1a3bfe1cdef857e5 [^]
2018-12-07 13:22 hgbot Checkin
2018-12-07 13:22 hgbot Note Added: 0108328
2018-12-08 22:12 hgbot Checkin
2018-12-08 22:12 hgbot Note Added: 0108339
2018-12-09 12:54 hgbot Checkin
2018-12-09 12:54 hgbot Note Added: 0108344
2018-12-09 12:54 hgbot Checkin
2018-12-09 12:54 hgbot Note Added: 0108345
2018-12-09 22:07 mtaal Review Assigned To => AugustoMauch
2018-12-10 15:17 AugustoMauch Note Added: 0108361
2018-12-10 15:17 AugustoMauch Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker